Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACEXML_Base64 Class Reference

Encode/Decode a stream of ACEXML_Chars according to Base64 encoding. More...

`#include <XML_Codecs.h>`

Inheritance diagram for ACEXML_Base64:

[legend]
Collaboration diagram for ACEXML_Base64:

[legend]
List of all members.

## Static Public Methods
ACEXML_Char * | encode (const ACEXML_Char *input, size_t *output_len)
ACEXML_Char * | decode (const ACEXML_Char *input, size_t *output_len)

## Detailed Description

Encode/Decode a stream of ACEXML_Chars according to Base64 encoding.

This class provides methods to encode or decode a stream of ACEXML_Chars to/from Base64 encoding. It doesn't convert the input stream to a canonical form before encoding.

## Member Function Documentation

ACEXML_Char * ACEXML_Base64::decode | ( | const ACEXML_Char * | input,
|  | size_t * | output_len
| ) | `[static]`

  | Decodes a stream of Base64 to octets data Parameters:
  input | Encoded Base64 data in ACEXML_Char stream.
  output_len | Length of the binary ACEXML_Char stream.
Returns: Binary data in ACEXML_Char stream or NULL if input data cannot be encoded.

ACEXML_Char * ACEXML_Base64::encode | ( | const ACEXML_Char * | input,
|  | size_t * | output_len
| ) | `[static]`

  | Encodes a stream of octets to Base64 data Parameters:
  input | Binary data in ACEXML_Char stream.
  output_len | Length of the encoded Base64 ACEXML_Char stream.
Returns: Encoded Base64 data in ACEXML_Char stream or NULL if input data cannot be encoded.

The documentation for this class was generated from the following files:

- XML_Codecs.h
- XML_Codecs.cpp